"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMultiCallContract = exports.getOffchainOracleContract = exports.getOptimismL1FeeOracle = void 0;
var _1 = require("./");
var config_1 = require("../config");
var getOptimismL1FeeOracle = function (provider) {
    return _1.OptimismL1FeeOracleAbi__factory.connect(config_1.optimismL1FeeOracleAddress, provider);
};
exports.getOptimismL1FeeOracle = getOptimismL1FeeOracle;
var getOffchainOracleContract = function (provider) {
    return _1.OffchainOracleAbi__factory.connect(config_1.offchainOracleAddress, provider);
};
exports.getOffchainOracleContract = getOffchainOracleContract;
var getMultiCallContract = function (provider) {
    return _1.MulticallAbi__factory.connect(config_1.multiCallAddress, provider);
};
exports.getMultiCallContract = getMultiCallContract;
//# sourceMappingURL=factories.js.map