import { OptimismL1FeeOracleAbi__factory, OffchainOracleAbi__factory, MulticallAbi__factory } from './';
import { optimismL1FeeOracleAddress, offchainOracleAddress, multiCallAddress } from '../config';
export const getOptimismL1FeeOracle = (provider) => {
    return OptimismL1FeeOracleAbi__factory.connect(optimismL1FeeOracleAddress, provider);
};
export const getOffchainOracleContract = (provider) => {
    return OffchainOracleAbi__factory.connect(offchainOracleAddress, provider);
};
export const getMultiCallContract = (provider) => {
    return MulticallAbi__factory.connect(multiCallAddress, provider);
};
//# sourceMappingURL=factories.js.map